Subject: bug#72240: The commit 17e26cf57e1 broke font-locking in maxima-mode

From: Stefan Kangas <[email-masked]>
Date: Mon, 22 Jul 2024 00:29:05 -0700

tags 72240 + notabug
thanks

Eduardo Ochs <[email-masked]> writes:

> there are two Maxima modes around - one in Melpa and one in Maxima
> itself. They have different bugs, and lots of people, including me,
> prefer the Maxima mode that comes with Maxima. This bug report is
> about a change in Emacs that broke the font-locking in the Maxima mode
> that comes with Maxima - I didn't test the other Maxima mode.
>
> Something happened between these two commits:
>
> 3f7e26e2bed 2024-04-13 10:10:19 (define-globalized-minor-mode): Fix bug#58888
> 17e26cf57e1 2024-04-13 10:31:28 (define-globalized-minor-mode):
> Require the use of `run-mode-hooks`
>
> Until 3f7e26e2bed font-locking in .mac files worked, but from
> 17e26cf57e1 onwards it doesn't work anymore. In the current Emacs from
> git - where "current" means 2024jul21 - it doesn't work.

This should be reported to the maxima.el developers, I think.

They should change `maxima-mode' to use `run-mode-hooks' instead of
`run-hooks'. This is documented in etc/NEWS:

> ** 'define-globalized-minor-mode' requires that modes use 'run-mode-hooks'.
> Minor modes defined with 'define-globalized-minor-mode', such as
> 'global-font-lock-mode', will not be enabled any more in those buffers
> whose major modes fail to use 'run-mode-hooks'.  Major modes defined
> with 'define-derived-mode' are not affected.  'run-mode-hooks' has been the
> recommended way to run major mode hooks since Emacs 22.